# Uses of Class
com.ngrok.definitions.TlsCertificateSaNs

Packages that use TlsCertificateSaNs
Package
Description
com.ngrok.definitions

- ## Uses of TlsCertificateSaNs in com.ngrok.definitions

  Methods in com.ngrok.definitions that return TlsCertificateSaNs
  Modifier and Type
  Method
  Description
  `TlsCertificateSaNs`
  TlsCertificate.`getSubjectAlternativeNames()`
  subject alternative names (SANs) from the leaf of this TLS certificate
  Constructors in com.ngrok.definitions with parameters of type TlsCertificateSaNs
  Modifier
  Constructor
  Description
  ``
  `TlsCertificate(String id, URI uri, OffsetDateTime createdAt, String description, String metadata, String certificatePem, String subjectCommonName, TlsCertificateSaNs subjectAlternativeNames, Optional<OffsetDateTime> issuedAt, OffsetDateTime notBefore, OffsetDateTime notAfter, List<String> keyUsages, List<String> extendedKeyUsages, String privateKeyType, String issuerCommonName, String serialNumber, String subjectOrganization, String subjectOrganizationalUnit, String subjectLocality, String subjectProvince, String subjectCountry)`
  Creates a new instance of `TlsCertificate`.